INTERFACE
subroutine hltridiag(khor, klev, kstart,&
 & kstop, pvarm, pa,&
 & pc , ptime, pct,&
 & psource, pvarp, pzb,&
 & pzy, pzom, pbet ) 
use parkind1 ,only : jpim ,jprb
integer(kind=jpim), intent(in) :: khor
integer(kind=jpim), intent(in) :: klev
integer(kind=jpim), intent(in) :: kstart
integer(kind=jpim), intent(in) :: kstop
real(kind=jprb) , intent(in) :: ptime
real(kind=jprb) , intent(in) :: pct
real(kind=jprb) , intent(in) :: pvarm(khor,klev)
real(kind=jprb) , intent(in) :: pa(khor,klev)
real(kind=jprb) , intent(in) :: pc(khor,klev)
real(kind=jprb) , intent(in) :: psource(khor,klev)
real(kind=jprb) , intent(out) :: pvarp(khor,klev)
real(kind=jprb) , intent(inout) :: pzb(khor,klev)
real(kind=jprb) , intent(inout) :: pzy(khor,klev)
real(kind=jprb) , intent(inout) :: pzom(khor,klev)
real(kind=jprb) , intent(inout) :: pbet(khor)
end subroutine hltridiag
END INTERFACE
